---
category: [Platform and Product Extensions, Administration & Integrations, Administration & Integrations/Custom Integrations & Apps, Platform and Product Extensions/Integration]
keyword: [Integrate, Workday Integration, Orchestrate for Integrations, Orchestration, Orchestration Builder]
nav: wcp_docs
parent_url: /wcp_docs/
title: Check Status of Verbose Logging for Orchestrations
layout: subsection
---

### Prerequisites

<a id="d648e104"></a>
-   Have a Developer, Collaborator, or Developer Support role.
-   Create an integrations app or an Extend app containing an orchestration.
-   Enable verbose logging.


### Context

<a id="d648e122"></a>
Verbose logging can help you perform troubleshooting during development by providing additional information about code execution. Workday provides verbose logging for orchestrations through a user-friendly REST API. Once enabled, you can check the status of verbose logging at any time.

### Steps

1.  <a id="d648e130"></a>To check the status of verbose logging, send a `GET` request to the appropriate endpoint for your location:endpoint:

    -   US: `https://api.us.wcp.workday.com/orchestrate/v1/apps/{appId}/orchestrations/{orchName}/debug/logging?tenantAlias={tenantAlias}`
    -   EMEA: `https://api.eu.wcp.workday.com/orchestrate/v1/apps/{appId}/orchestrations/{orchName}/debug/logging?tenantAlias={tenantAlias}`

    Replace the placeholders in the URL with these values:

    -   `{appID}`: the ID of the app containing the orchestration.
    -   `{orchName}`: the orchestration's name.
    -   `{tenantAlias}`: the tenant alias.

2.  <a id="d648e178"></a>Include this header in the `GET` request: `Authorization: Bearer {token}`.

    Replace `{token}` with your JSON Web Token (JWT).

    <b>Note:</b> To find the JWT, log in to the Workday Developer site and open your browser's Developer Console. Example: in Google Chrome, right-click in the browser window and click <b>Inspect</b>. Find a cookie named `wday-access-token` and copy the associated value. Example: in Google Chrome, cookies are in the <b>Storage</b> section under the <b>Application</b> heading. A JWT is valid for 1 hour. If your token expires, refresh the Developer site window to generate a new one.

3.  <a id="d648e211"></a>If the request is succesful, the API returns a JSON object containing these fields:

    -   `tenantAlias`: the orchestration's tenant alias.
    -   `appID`: The ID of the app containing the orchestration.
    -   `orchName`: The orchestration's name.
    -   `stepFilter`: The steps you want to include in verbose logging. If you don't apply a filter, all steps are included.
    -   `oneTimeOnly`: A boolean value specifying whether the logging should run just once.
    -   `disposed`: A boolean value that's set to `true` if `oneTimeOnly` logging was enabled and has now been used.
    -   `expiry`: The date and time when verbose logging will expire.



### Example

Sample request to check the status of verbose logging:

```
GET
https://api.us.wcp.workday.com/orchestrate/v1/apps/sampleapplication_ycjtxv/orchestrations/sample123/debug/logging?tenantAlias=superi-0d99072fedc1f3704 HTTP/1.1
Authorization: Bearer MiIsImtpZCI6IjIwkceirijlcdrnlfgdgkCI6IjCI6Ij
```

